
CoCoA-5 - Support #616

Release: CoCoA-5.1.2

05 Sep 2014 16:54 - Anna Maria Bigatti

Status: Closed Start date: 01 Aug 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 15.00 hours

Target version: CoCoA-5.1.2 summer 2015 Spent time: 11.85 hours

Description

Everything for the release

<check version number for CoCoALib release>

<cvs checkout in snapshot dir>

cd <snapshotdir>

configure --again

make

cd src/CoCoA-5

make doc

make ManExamples

cd src/CoCoA-5/release-files

./release-mac.sh

./release-linux.sh

<~/shell-scripts/cocoalib-cvs-snapshot>

by hand deal with windows text version

ask someone for windows gui version...

update /Volumes/WWW/webcocoa/download/download5.shtml

update /Volumes/WWW/webcocoa/download/RelNotes.shtml

---> send email

Related issues:

Related to CoCoA-5 - Support #605: Release: CoCoA-5.1.1 Closed 01 Aug 2014

Related to CoCoA-5 - Support #187: CoCoA-5 (partial) releases: make the proce... Closed 13 Jun 2012

Copied to CoCoA-5 - Support #843: Release: CoCoA-5.1.3 and CoCoA-5.1.4 Closed 01 Aug 2014

History

#1 - 20 May 2015 12:34 - Anna Maria Bigatti

First run of

make ManExamples

and

make doc

fixed a few things accordingly
#2 - 20 May 2015 17:34 - Anna Maria Bigatti

- % Done changed from 0 to 20

#3 - 29 Jul 2015 17:20 - Anna Maria Bigatti

- Description updated

#4 - 30 Jul 2015 15:31 - Anna Maria Bigatti

- Description updated

- Status changed from New to In Progress

#5 - 30 Jul 2015 15:36 - Anna Maria Bigatti

Problem with boost: incompatibility of Qt4 and boost > 1.52.

Recompiled on Mac and on Linux with 1.52 --> OK

Updated instructions for compiling boost (src/CoCoA-5/INSTALL)

#6 - 30 Jul 2015 17:03 - Anna Maria Bigatti

- Description updated

#7 - 31 Jul 2015 17:00 - Anna Maria Bigatti

- Description updated

- % Done changed from 20 to 70

#8 - 05 Aug 2015 16:21 - Anna Maria Bigatti

Release for Mac and Linux done on friday.

Still problems with windows: after I managed to compile, the local server stopped!!

so I had to postpone the publication.

Then I'll take some time to make more proper tests (no one gives us feedback on windows) and possibly install and compile with readline, which is

sooooo nice!

Moreover if I also manage to install pdflatex to the virtual machine I can test the new release script.

#9 - 05 Aug 2015 16:21 - Anna Maria Bigatti

- Estimated time changed from 5.00 h to 15.00 h

#10 - 06 Aug 2015 11:04 - Anna Maria Bigatti

I decided to upload the textual version on windows, and hope to get some feedback....

(meanwhile I keep working on the script for simplifying the release process....)

#11 - 06 Aug 2015 11:04 - Anna Maria Bigatti

- % Done changed from 70 to 80

#12 - 06 Aug 2015 12:21 - Anna Maria Bigatti

email sent!

#13 - 06 Aug 2015 12:21 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Feedback
#14 - 16 Feb 2016 16:02 - John Abbott

Apparently the release was made over 6 months ago; can we close this issue?

BTW the CoCoA web site was very slow (I checked only the download page for CoCoA-5).

#15 - 16 Feb 2016 17:31 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

#16 - 16 Feb 2016 17:33 - Anna Maria Bigatti

- Copied to Support #843: Release: CoCoA-5.1.3 and CoCoA-5.1.4 added
